Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe.impl
Class SituationImpl

    java.lang.Object
      |
      +--org.eclipse.emf.common.notify.impl.BasicNotifierImpl
            |
            +--org.eclipse.emf.ecore.impl.BasicEObjectImpl
                  |
                  +--org.eclipse.emf.ecore.impl.EObjectImpl
                        |
                        +--org.eclipse.hyades.logging.events.cbe.impl.SerializableImpl
                              |
                              +--org.eclipse.hyades.logging.events.cbe.impl.SituationImpl

All Implemented Interfaces:
  java.lang.Cloneable, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.common.notify.Notifier, java.io.Serializable, Situation

public class SituationImpl
extends SerializableImpl
implements Situation, java.lang.Cloneable

An implementation of the model object 'Situation'.

Since:
  1.0.1
Version:
  1.0.1
Author:
  Denilson Nastacio
See Also:
  Serialized Form

Field Summary
`protected static java.lang.String` | `CATEGORY_NAME_EDEFAULT` The default value of the '`Category Name`' attribute
`protected java.lang.String` | `categoryName` The cached value of the '`Category Name`' attribute
`protected SituationType` | `situationType` The cached value of the '`Situation Type`' containment reference

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from interface org.eclipse.hyades.logging.events.cbe.Situation
`AVAILABLE_SITUATION_CATEGORY, CONFIGURE_SITUATION_CATEGORY, CONNECT_SITUATION_CATEGORY, CREATE_SITUATION_CATEGORY, DEPENDENCY_SITUATION_CATEGORY, DESTROY_SITUATION_CATEGORY, FEATURE_SITUATION_CATEGORY, OTHER_SITUATION_CATEGORY, REPORT_SITUATION_CATEGORY, REQUEST_SITUATION_CATEGORY, START_SITUATION_CATEGORY, STOP_SITUATION_CATEGORY`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` | `SituationImpl()`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetSituationType(SituationType newSituationType, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `clone()` return a cloned (copy by value) object.
`java.lang.Object` | `eGet(org.eclipse.emf.ecore.EStructuralFeature eFeature, boolean resolve)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, java.lang.Class baseClass, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`boolean` | `equals(java.lang.Object arg0)`
`void` | `eSet(org.eclipse.emf.ecore.EStructuralFeature eFeature, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` | `eStaticClass()`
`void` | `eUnset(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`java.lang.String` | `getCategoryName()`
`SituationType` | `getSituationType()`
`void` | `init()` Resets the object's properties to their initial (e.g. null) state.
`void` | `setAvailableSituation(java.lang.String reasoningScope, java.lang.String availabilityDisposition, java.lang.String operationDisposition, java.lang.String processingDisposition)` Sets the value of the situation type as an Available Situation.
`void` | `setCategoryName(java.lang.String newCategoryName)`
`void` | `setConfigureSituation(java.lang.String reasoningScope, java.lang.String successDisposition)` Sets the value of the situation type as a Configure Situation.
`void` | `setConnectSituation(java.lang.String reasoningScope, java.lang.String situationDisposition, java.lang.String successDisposition)` Sets the value of the situation type as a Connect Situation.
`void` | `setCreateSituation(java.lang.String reasoningScope, java.lang.String successDisposition)` Sets the value of the situation type as a Create Situation.
`void` | `setDependencySituation(java.lang.String reasoningScope, java.lang.String dependencyDisposition)` Sets the value of the situation type as a Dependency Situation.
`void` | `setDestroySituation(java.lang.String reasoningScope, java.lang.String successDisposition)` Sets the value of the situation type as a Destroy Situation.
`void` | `setFeatureSituation(java.lang.String reasoningScope, java.lang.String featureDisposition)` Sets the value of the situation type as a Feature Situation.
`void` | `setOtherSituation(java.lang.String reasoningScope, java.lang.String any)` Sets the value of the situation type as an Other Situation.
`void` | `setReportSituation(java.lang.String reasoningScope, java.lang.String reportCategory)` Sets the value of the situation type as a Report Situation.
`void` | `setRequestSituation(java.lang.String reasoningScope, java.lang.String situationQualifier, java.lang.String successDisposition)` Sets the value of the situation type as a Request Situation.
`void` | `setSituationType(SituationType newSituationType)`
`void` | `setStartSituation(java.lang.String reasoningScope, java.lang.String situationQualifier, java.lang.String successDisposition)` Sets the value of the situation type as a Start Situation.
`void` | `setStopSituation(java.lang.String reasoningScope, java.lang.String situationQualifier, java.lang.String successDisposition)` Sets the value of the situation type as a Stop Situation.
`java.lang.String` | `toString()`
`void` | `validate()` Checks whether the contents of the instance conform to the CBE specification.

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicSet, eDynamicUnset, eGet, eHasSettings, eInternalResource, eInverseAdd, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eStaticFeatureCount, eStore, eURIFragmentSegment`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eIsProxy, eResource`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### CATEGORY_NAME_EDEFAULT

    protected static final java.lang.String CATEGORY_NAME_EDEFAULT

  The default value of the '`Category Name`' attribute.

  See Also:
    `getCategoryName()`

### categoryName

    protected java.lang.String categoryName

  The cached value of the '`Category Name`' attribute.

  See Also:
    `getCategoryName()`

### situationType

    protected SituationType situationType

  The cached value of the '`Situation Type`' containment reference.

  See Also:
    `getSituationType()`

Constructor Detail

### SituationImpl

    protected SituationImpl()

Method Detail

### setAvailableSituation

    public void setAvailableSituation(java.lang.String reasoningScope,
                                      java.lang.String availabilityDisposition,
                                      java.lang.String operationDisposition,
                                      java.lang.String processingDisposition)

  Description copied from interface: `Situation`
  Sets the value of the situation type as an Available Situation.

  It also changes the 'categoryName' attribute to `Situation.AVAILABLE_SITUATION_CATEGORY`.

  Specified by:
    `setAvailableSituation` in interface `Situation`
  Parameters:
    `reasoningScope` - reasoning scope for the situation.
    `availabilityDisposition` - availability disposition for the situation.
    `operationDisposition` - operation disposition for the situation.
    `processingDisposition` - processing disposition for the situation.
  See Also:
    `Situation.setAvailableSituation(String, String, String,String)`

### setCategoryName

    public void setCategoryName(java.lang.String newCategoryName)

  Specified by:
    `setCategoryName` in interface `Situation`
  Parameters:
    `newCategoryName` - the new value of the 'Category Name' attribute.
  See Also:
    `Situation.getCategoryName()`

### getCategoryName

    public java.lang.String getCategoryName()

  Specified by:
    `getCategoryName` in interface `Situation`
  Returns:
    the value of the 'Category Name' attribute.
  See Also:
    `Situation.setCategoryName(String)`, `EventPackage.getSituation_CategoryName()`

### setConfigureSituation

    public void setConfigureSituation(java.lang.String reasoningScope,
                                      java.lang.String successDisposition)

  Description copied from interface: `Situation`
  Sets the value of the situation type as a Configure Situation.

  It also changes the 'categoryName' attribute to `Situation.CONFIGURE_SITUATION_CATEGORY`.

  Specified by:
    `setConfigureSituation` in interface `Situation`
  Parameters:
    `reasoningScope` - reasoning scope for the situation.
    `successDisposition` - success disposition for the new situation.
  See Also:
    `Situation.setConfigureSituation(String,String)`

### setConnectSituation

    public void setConnectSituation(java.lang.String reasoningScope,
                                    java.lang.String situationDisposition,
                                    java.lang.String successDisposition)

  Description copied from interface: `Situation`
  Sets the value of the situation type as a Connect Situation.

  It also changes the 'categoryName' attribute to `Situation.CONNECT_SITUATION_CATEGORY`.

  Specified by:
    `setConnectSituation` in interface `Situation`
  Parameters:
    `reasoningScope` - reasoning scope for the situation.
    `situationDisposition` - situation disposition for the new situation.
    `successDisposition` - success disposition for the new situation.
  See Also:
    `Situation.setConnectSituation(String, String,String)`

### setCreateSituation

    public void setCreateSituation(java.lang.String reasoningScope,
                                   java.lang.String successDisposition)

  Description copied from interface: `Situation`
  Sets the value of the situation type as a Create Situation.

  It also changes the 'categoryName' attribute to `Situation.CREATE_SITUATION_CATEGORY`.

  Specified by:
    `setCreateSituation` in interface `Situation`
  Parameters:
    `reasoningScope` - reasoning scope for the situation.
    `successDisposition` - success disposition for the new situation.
  See Also:
    `Situation.setCreateSituation(String,String)`

### setDependencySituation

    public void setDependencySituation(java.lang.String reasoningScope,
                                       java.lang.String dependencyDisposition)

  Description copied from interface: `Situation`
  Sets the value of the situation type as a Dependency Situation.

  It also changes the 'categoryName' attribute to `Situation.DEPENDENCY_SITUATION_CATEGORY`.

  Specified by:
    `setDependencySituation` in interface `Situation`
  Parameters:
    `reasoningScope` - reasoning scope for the situation.
    `dependencyDisposition` - dependency disposition for the new situation.
  See Also:
    `Situation.setDependencySituation(String,String)`

### setDestroySituation

    public void setDestroySituation(java.lang.String reasoningScope,
                                    java.lang.String successDisposition)

  Description copied from interface: `Situation`
  Sets the value of the situation type as a Destroy Situation.

  It also changes the 'categoryName' attribute to `Situation.DESTROY_SITUATION_CATEGORY`.

  Specified by:
    `setDestroySituation` in interface `Situation`
  Parameters:
    `reasoningScope` - reasoning scope for the situation.
    `successDisposition` - success disposition for the new situation.
  See Also:
    `Situation.setDestroySituation(String,String)`

### setFeatureSituation

    public void setFeatureSituation(java.lang.String reasoningScope,
                                    java.lang.String featureDisposition)

  Description copied from interface: `Situation`
  Sets the value of the situation type as a Feature Situation.

  It also changes the 'categoryName' attribute to `Situation.FEATURE_SITUATION_CATEGORY`.

  Specified by:
    `setFeatureSituation` in interface `Situation`
  Parameters:
    `reasoningScope` - reasoning scope for the situation.
    `featureDisposition` - feature disposition for the new situation.
  See Also:
    `Situation.setFeatureSituation(String,String)`

### setOtherSituation

    public void setOtherSituation(java.lang.String reasoningScope,
                                  java.lang.String any)

  Description copied from interface: `Situation`
  Sets the value of the situation type as an Other Situation.

  It also changes the 'categoryName' attribute to `Situation.OTHER_SITUATION_CATEGORY`.

  Specified by:
    `setOtherSituation` in interface `Situation`
  Parameters:
    `reasoningScope` - reasoning scope for the situation.
    `any` - value for the new situation.
  See Also:
    `Situation.setOtherSituation(String,String)`

### setReportSituation

    public void setReportSituation(java.lang.String reasoningScope,
                                   java.lang.String reportCategory)

  Description copied from interface: `Situation`
  Sets the value of the situation type as a Report Situation.

  It also changes the 'categoryName' attribute to `Situation.REPORT_SITUATION_CATEGORY`.

  Specified by:
    `setReportSituation` in interface `Situation`
  Parameters:
    `reasoningScope` - reasoning scope for the situation.
    `reportCategory` - report category for the new situation.
  See Also:
    `Situation.setReportSituation(String,String)`

### setRequestSituation

    public void setRequestSituation(java.lang.String reasoningScope,
                                    java.lang.String situationQualifier,
                                    java.lang.String successDisposition)

  Description copied from interface: `Situation`
  Sets the value of the situation type as a Request Situation.

  It also changes the 'categoryName' attribute to `Situation.REQUEST_SITUATION_CATEGORY`.

  Specified by:
    `setRequestSituation` in interface `Situation`
  Parameters:
    `reasoningScope` - reasoning scope for the situation.
    `situationQualifier` - situation qualifier for the new situation.
    `successDisposition` - success disposition for the new situation.
  See Also:
    `Situation.setRequestSituation(String, String,String)`

### setSituationType

    public void setSituationType(SituationType newSituationType)

  Specified by:
    `setSituationType` in interface `Situation`
  Parameters:
    `newSituationType` - the new value of the 'Situation Type' containment reference.
  See Also:
    `Situation.getSituationType()`

### getSituationType

    public SituationType getSituationType()

  Specified by:
    `getSituationType` in interface `Situation`
  Returns:
    the value of the 'Situation Type' containment reference.
  See Also:
    `Situation.setSituationType(SituationType)`, `EventPackage.getSituation_SituationType()`

### setStartSituation

    public void setStartSituation(java.lang.String reasoningScope,
                                  java.lang.String situationQualifier,
                                  java.lang.String successDisposition)

  Description copied from interface: `Situation`
  Sets the value of the situation type as a Start Situation.

  It also changes the 'categoryName' attribute to `Situation.START_SITUATION_CATEGORY`.

  Specified by:
    `setStartSituation` in interface `Situation`
  Parameters:
    `reasoningScope` - reasoning scope for the situation.
    `situationQualifier` - situation qualifier for the new situation.
    `successDisposition` - sucess disposition for the new situation.
  See Also:
    `Situation.setStartSituation(String, String,String)`

### setStopSituation

    public void setStopSituation(java.lang.String reasoningScope,
                                 java.lang.String situationQualifier,
                                 java.lang.String successDisposition)

  Description copied from interface: `Situation`
  Sets the value of the situation type as a Stop Situation.

  It also changes the 'categoryName' attribute to `Situation.STOP_SITUATION_CATEGORY`.

  Specified by:
    `setStopSituation` in interface `Situation`
  Parameters:
    `reasoningScope` - reasoning scope for the situation.
    `situationQualifier` - situation qualifier for the new situation.
    `successDisposition` - success disposition for the new situation.
  See Also:
    `Situation.setStopSituation(String, String,String)`

### basicSetSituationType

    public org.eclipse.emf.common.notify.NotificationChain basicSetSituationType(SituationType newSituationType,
                                                                                 org.eclipse.emf.common.notify.NotificationChain msgs)

### eGet

    public java.lang.Object eGet(org.eclipse.emf.ecore.EStructuralFeature eFeature,
                                 boolean resolve)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          java.lang.Class baseClass,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Specified by:
    `eInverseRemove` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(org.eclipse.emf.ecore.EStructuralFeature eFeature,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `SerializableImpl`

### validate

    public void validate()
                  throws ValidationException

  Checks whether the contents of the instance conform to the CBE specification.

  Specified by:
    `validate` in interface `Situation`
  Throws:
    `ValidationException` - if the event instance does not follow the CBE specification.

### equals

    public boolean equals(java.lang.Object arg0)

  Overrides:
    `equals` in class `java.lang.Object`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  return a cloned (copy by value) object. This is a deep copy version, in which all the objects within this object will be copied by value.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    Object
    `java.lang.CloneNotSupportedException`

### init

    public void init()

  Resets the object's properties to their initial (e.g. null) state. All components are initialized to either zero or null.

  Specified by:
    `init` in interface `Situation`
  Since:
    1.0

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD